org.apache.uima.impl

## Class Util

- java.lang.Object
- - org.apache.uima.impl.Util

-     public class Util
      extends Object

  Shared code refactored from other spots to reduce duplication and improve maintainability

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CASImpl` | `getStartingView(CAS cas, boolean sofaAware, ComponentInfo componentInfo)`
    `static <T extends AbstractCas> T` | `setupViewSwitchClassLoaders(CAS cas, boolean sofaAware, ComponentInfo componentInfo, ResourceManager resourceManager, Class<T> casInterface)`
    `static AbstractCas` | `setupViewSwitchClassLoadersLockCas(CAS cas, boolean sofaAware, ComponentInfo componentInfo, ResourceManager resourceManager, Class<? extends AbstractCas> casInterface)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### getStartingView

          public static CASImpl getStartingView(CAS cas,
                                                boolean sofaAware,
                                                ComponentInfo componentInfo)

    - #### setupViewSwitchClassLoadersLockCas

          public static AbstractCas setupViewSwitchClassLoadersLockCas(CAS cas,
                                                                       boolean sofaAware,
                                                                       ComponentInfo componentInfo,
                                                                       ResourceManager resourceManager,
                                                                       Class<? extends AbstractCas> casInterface)

    - #### setupViewSwitchClassLoaders

          public static <T extends AbstractCas> T setupViewSwitchClassLoaders(CAS cas,
                                                                              boolean sofaAware,
                                                                              ComponentInfo componentInfo,
                                                                              ResourceManager resourceManager,
                                                                              Class<T> casInterface)

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.